<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ScriptedLightBase/SpotLightBase/UniversallightLight.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d6/d9d/_universallight_light_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">UniversallightLight.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d6/d9d/_universallight_light_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>UniversallightLight <span class="keyword">extends</span> <a class="code hl_class" href="../../db/df0/class_spot_light_base.html">SpotLightBase</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span>    <span class="keyword">private</span> <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d0/dd9/_contaminated_area___dynamic_8c.html#a2202cad687ba74d92664106a8b8baee3">m_DefaultBrightness</a> = 6.75;</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    <span class="keyword">private</span> <span class="keyword">static</span> <span class="keywordtype">float</span> <a class="code hl_variable" href="../../d0/dd9/_contaminated_area___dynamic_8c.html#ad03bb02d17f63aee0a171b52caadf929">m_DefaultRadius</a> = 40;</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>    </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../db/df0/class_spot_light_base.html#a1bfe1776d9ee9f88c37408a10ea9e47e">    6</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/df0/class_spot_light_base.html#a1bfe1776d9ee9f88c37408a10ea9e47e">UniversallightLight</a>()</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    {</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>        SetVisibleDuringDaylight(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>        SetRadiusTo(<a class="code hl_variable" href="../../d0/dd9/_contaminated_area___dynamic_8c.html#ad03bb02d17f63aee0a171b52caadf929">m_DefaultRadius</a>);</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        SetSpotLightAngle(50);</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>        SetCastShadow(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>        SetBrightnessTo(<a class="code hl_variable" href="../../d0/dd9/_contaminated_area___dynamic_8c.html#a2202cad687ba74d92664106a8b8baee3">m_DefaultBrightness</a>);</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        SetFadeOutTime(0.15);</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        SetAmbientColor(1.0, 0.9, 0.8);</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        SetDiffuseColor(1.0, 0.9, 0.8);</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    }</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    </div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../db/df0/class_spot_light_base.html#a1cf32bc46c087033e0b7f6dad9e1b88a">   18</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../db/df0/class_spot_light_base.html#a1cf32bc46c087033e0b7f6dad9e1b88a">SetIntensity</a>( <span class="keywordtype">float</span> coef, <span class="keywordtype">float</span> time )</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    {</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        FadeBrightnessTo(<a class="code hl_variable" href="../../d0/dd9/_contaminated_area___dynamic_8c.html#a2202cad687ba74d92664106a8b8baee3">m_DefaultBrightness</a> * coef, time);</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        FadeRadiusTo(<a class="code hl_variable" href="../../d0/dd9/_contaminated_area___dynamic_8c.html#ad03bb02d17f63aee0a171b52caadf929">m_DefaultRadius</a> * coef, time);</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>}</div>
<div class="ttc" id="a_contaminated_area___dynamic_8c_html_a2202cad687ba74d92664106a8b8baee3"><div class="ttname"><a href="../../d0/dd9/_contaminated_area___dynamic_8c.html#a2202cad687ba74d92664106a8b8baee3">m_DefaultBrightness</a></div><div class="ttdeci">enum eAreaDecayStage m_DefaultBrightness</div></div>
<div class="ttc" id="a_contaminated_area___dynamic_8c_html_ad03bb02d17f63aee0a171b52caadf929"><div class="ttname"><a href="../../d0/dd9/_contaminated_area___dynamic_8c.html#ad03bb02d17f63aee0a171b52caadf929">m_DefaultRadius</a></div><div class="ttdeci">protected float m_DefaultRadius</div><div class="ttdef"><b>Definition:</b> <a href="../../d0/dd9/_contaminated_area___dynamic_8c_source.html#l00014">ContaminatedArea_Dynamic.c:14</a></div></div>
<div class="ttc" id="aclass_spot_light_base_html"><div class="ttname"><a href="../../db/df0/class_spot_light_base.html">SpotLightBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/d8b/_car_light_base_8c_source.html#l00001">CarLightBase.c:2</a></div></div>
<div class="ttc" id="aclass_spot_light_base_html_a1bfe1776d9ee9f88c37408a10ea9e47e"><div class="ttname"><a href="../../db/df0/class_spot_light_base.html#a1bfe1776d9ee9f88c37408a10ea9e47e">SpotLightBase::UniversallightLight</a></div><div class="ttdeci">void UniversallightLight()</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d9d/_universallight_light_8c_source.html#l00006">UniversallightLight.c:6</a></div></div>
<div class="ttc" id="aclass_spot_light_base_html_a1cf32bc46c087033e0b7f6dad9e1b88a"><div class="ttname"><a href="../../db/df0/class_spot_light_base.html#a1cf32bc46c087033e0b7f6dad9e1b88a">SpotLightBase::SetIntensity</a></div><div class="ttdeci">void SetIntensity(float coef, float time)</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d9d/_universallight_light_8c_source.html#l00018">UniversallightLight.c:18</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_50f518e75e7de83ddcd3aee1de3ffc98.html">ScriptedLightBase</a></li><li class="navelem"><a class="el" href="../../dir_efacce1be5d8a361a2620e7c010163d4.html">SpotLightBase</a></li><li class="navelem"><a class="el" href="../../d6/d9d/_universallight_light_8c.html">UniversallightLight.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
